﻿using System;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Windows.Forms;
using System.Net.Mail;


namespace EmailParserScriptingSDK
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void buttonTestEmailFilter_Click(object sender, EventArgs e)
        {
            // Retrieve the message from the input fields
            MailMessage msg_to_test = emailEditor1.GetEmailAsMailMessage();
            if (msg_to_test == null)
                return;

            TestEmailFilterDialogRun dialog = new TestEmailFilterDialogRun(msg_to_test);
            dialog.ShowDialog();
        }

        private void buttonTestEmailParser_Click(object sender, EventArgs e)
        {
            string capture_text_from = "";

            NameValueCollection email_as_name_value_collection = emailEditor1.GetEmailAsNameValueCollection();

            /*
            From
            To
            CC
            BCC
            Subject
            Body
            Body_HTML
            DateTimeSent
            DateTimeReceived
            */

            // Retrieve the text from the input fields
            switch (comboBox_capture_text_from.SelectedIndex)
            {
                case 0:
                    capture_text_from = email_as_name_value_collection["From"];
                    break;
                case 1:
                    capture_text_from = email_as_name_value_collection["To"];
                    break;
                case 2:
                    capture_text_from = email_as_name_value_collection["CC"];
                    break;
                case 3:
                    capture_text_from = email_as_name_value_collection["BCC"];
                    break;
                case 4:
                    capture_text_from = email_as_name_value_collection["Subject"];
                    break;
                case 5:
                    capture_text_from = email_as_name_value_collection["Body"];
                    break;
                case 6:
                    capture_text_from = email_as_name_value_collection["Body_HTML"];
                    break;
                case 7:
                    capture_text_from = email_as_name_value_collection["DateTimeSent"];
                    break;
                case 8:
                    capture_text_from = email_as_name_value_collection["DateTimeReceived"];
                    break;
            }

            if (capture_text_from == null)
                capture_text_from = "";

            TestEmailParserDialogRun dialog = new TestEmailParserDialogRun(capture_text_from);
            dialog.ShowDialog();
        }

        private void buttonTestAction_Click(object sender, EventArgs e)
        {
            // Retrieve the message from the input fields            
            NameValueCollection fields = emailEditor1.GetEmailAsNameValueCollection();
            if (fields == null)
                return;

            MailMessage msg_to_test = emailEditor1.GetEmailAsMailMessage();
            if (msg_to_test == null)
                return;

            TestAutomatedProcessDialogRun dialog = new TestAutomatedProcessDialogRun(msg_to_test, fields);
            dialog.ShowDialog();
        }

        
        
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            emailEditor1.SaveEmail();
        }
    }
}
