﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;
using System.Net.Mail;


namespace EmailParserBackend.ScriptingInterface
{
    public delegate void PrintFuncType(String m);
    

    public abstract class ScriptBasedEmailFilter
    {
        public abstract bool FilterEmail(MailMessage email);
        public PrintFuncType Print;
    }

    public abstract class ScriptBasedParser
    {
        public abstract List<string> ExtractTextFrom(string input_text);
        public PrintFuncType Print;
    }

    public abstract class ScriptBasedAction
    {
        public abstract bool Run(MailMessage email, System.Collections.Specialized.NameValueCollection fields);
        public PrintFuncType Print;

        /// <summary>
        /// This function will call other action with the specified field set.
        /// It will do nothing under this SDK but on Email&Parser works
        /// as expected
        /// </summary>
        /// <param name="action_name"></param>
        /// <param name="field_set"></param>
        /// <returns></returns>
        public bool CallAction(string action_name, MailMessage email, NameValueCollection field_set)
        {
            return (true);
        }
    }
}
