﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net.Mail;
using System.Xml.Serialization;
using System.IO;

namespace EmailParserScriptingSDK.DoNotModifyThis
{
    public class SerializableEmail
    {
        public String From;
        public String To;
        public String CC;
        public String BCC;
        public String Subject;
        public String BodyPlainText;
        public String BodyHTML;
        public DateTime DateTimeReceived;
        public DateTime DateTimeSent;
        public List<String> Attachments;

        public SerializableEmail()
        {
            Attachments = new List<string>();
        }

        public String Serialize()
        {
            StringBuilder builder = new StringBuilder();
            StringWriter writer = new StringWriter(builder);

            XmlSerializer serializer = new XmlSerializer(typeof(SerializableEmail));
            serializer.Serialize(writer,this);

            return(builder.ToString());            
        }

        public void Unserialize(String xml_string)
        {
            XmlSerializer s = new XmlSerializer(typeof(SerializableEmail));

            TextReader reader = new StringReader(xml_string);

            SerializableEmail temp = s.Deserialize(reader) as SerializableEmail;

            this.From = temp.From;
            this.To = temp.To;
            this.CC = temp.CC;
            this.BCC = temp.BCC;
            this.Subject = temp.Subject;
            this.BodyHTML = temp.BodyHTML;
            this.BodyPlainText = temp.BodyPlainText;
            this.Attachments = temp.Attachments;


        }

    }


}
