﻿// This is a template for a scripted automated process
// See https://www.emailparser.com/d/automated-processes-other/creating-a-custom-automated-process-with-a-script
// for further information and examples

using System;
using System.Text;
using System.IO;
using System.Net.Mail;
using System.Collections.Specialized;
using EmailParserBackend.ScriptingInterface;

public class MyAction : ScriptBasedAction
{
    // Implement this method with your own code. Run() will be called each time
    // this Action runs
    public override bool Run(MailMessage email, NameValueCollection fields)
    {

        // Fields from previous items are available from the fields parameter:
        String message_subject = fields["Subject"];
        String sender_address = fields["From"];

        // Using the Print() method you can write a message to the Email Parser window
        Print("An email has been sent from " + sender_address + " and the subject is " + message_subject);

        // Calling another action is done  with the CallAction() method.
        // It also takes the processed email and the fields as parameters.
        // Note that "My Action 4" can be any type of action and that it must
        // be set to be run after this action and when called by this script
        // This is set in the upper right combo boxes of "My Action 4" settings.
        CallAction("My Action 4", email, fields);

        if (sender_address.Equals("john@doe.com"))
            Print("The email is from John. Processing the request");

        // We can even create or modify fields for the next actions in the chain
        fields.Add("my_new_field", "1234567890");

        // this action finishes successfully. Returning true means that we consider
        // that this action has finished successfully. We can conditionally run the next
        // action using this returning value and setting the next action to be run depending
        // on if this action is successful or not
        return (true);
    }
}
