﻿// This is a template for a script-based email filter.
// See https://www.emailparser.com/d/email-sources/using-scripts-filter-emails
// for further information and examples

using System;
using System.Net.Mail;
using EmailParserBackend.ScriptingInterface;

public class MyFilter : ScriptBasedEmailFilter
{
    // You have to implement this method. The returned boolean is wether or
    // not the email passes the filter.
    public override bool FilterEmail(MailMessage msg)
    {
        //
        //
        // Example 1:
        // Check if the email subject starts with [TEST]
        bool condition1;
        if (msg.Subject.Length >= 6)
            condition1 = msg.Subject.Substring(0, 6).Equals("[TEST]", StringComparison.OrdinalIgnoreCase);
        else
            condition1 = false;


        // Example 2:
        // Check if the email has an attachment
        bool condition2 = msg.Attachments.Count == 1;
        //
        //
        // The email is not blocked if satifies both conditions.
        return (condition1 && condition2);
    }
}
