﻿// This is a template for a script-based parser. Check out:
// https://www.emailparser.com/d/email-parser/capturing-text-scripts
// for further information and examples

using System;
using System.Text;
using System.IO;
using System.Collections.Generic;
using EmailParserBackend.ScriptingInterface;

public class MyScriptBasedEmailParser : ScriptBasedParser // do not modify class name
{
    // Modify this method to implement your own text capturing
    public override List<string> ExtractTextFrom(string input_text)
    {
        // captured_values holds the captured text associated
        // to the field name.
        List<string> captured_values = new List<string>();

        // Adding a value to captured_values is done this way:
        captured_values.Add("this is the text captured");

        // You can even read files from here
        try
        {
            string file_contents = File.ReadAllText("myfile.txt");
            captured_values.Add(file_contents);
        }
        catch (Exception ex)
        {
            // With the Print() method a message will be shown in the
            // Email Parser output
            Print("Error: " + ex.Message);
        }

        // And of course any text related operations are also possible
        // using the input_text
        string result = input_text.Trim().Replace('-', ' ').ToLower();
        captured_values.Add(result);


        return (captured_values);
    }
}
